MyGUI::IItemContainer Class Reference

`#include <MyGUI_IItemContainer.h>`

Inheritance diagram for MyGUI::IItemContainer:
[legend]

## Public Member Functions

virtual | ~IItemContainer ()=default
virtual size_t | _getItemCount () const
virtual void | _addItem (const MyGUI::UString &)
virtual void | _removeItemAt (size_t)
virtual Widget * | _getItemAt (size_t _index) const
virtual void | _setItemNameAt (size_t, const UString &)
virtual const UString & | _getItemNameAt (size_t _index) const
virtual void | _setItemSelected (IItem *)

## Detailed Description

Definition at line 18 of file MyGUI_IItemContainer.h.

## Constructor & Destructor Documentation

## ~IItemContainer()

virtual MyGUI::IItemContainer::~IItemContainer | ( |  | ) |

virtual default

## Member Function Documentation

## _addItem()

virtual void MyGUI::IItemContainer::_addItem | ( | const MyGUI::UString & |  | ) |

inline virtual

Reimplemented in MyGUI::ComboBox, MyGUI::ListBox, MyGUI::MenuControl, MyGUI::MultiListBox, and MyGUI::TabControl.

Definition at line 28 of file MyGUI_IItemContainer.h.

## _getItemAt()

virtual Widget * MyGUI::IItemContainer::_getItemAt | ( | size_t | _index | ) | const

inline virtual

Reimplemented in MyGUI::MenuControl, MyGUI::MultiListBox, and MyGUI::TabControl.

Definition at line 36 of file MyGUI_IItemContainer.h.

## _getItemCount()

virtual size_t MyGUI::IItemContainer::_getItemCount | ( |  | ) | const

inline virtual

Reimplemented in MyGUI::ComboBox, MyGUI::ListBox, MyGUI::MenuControl, MyGUI::MultiListBox, and MyGUI::TabControl.

Definition at line 23 of file MyGUI_IItemContainer.h.

## _getItemNameAt()

virtual const UString & MyGUI::IItemContainer::_getItemNameAt | ( | size_t | _index | ) | const

inline virtual

Reimplemented in MyGUI::ComboBox, MyGUI::ListBox, MyGUI::MenuControl, MyGUI::MultiListBox, and MyGUI::TabControl.

Definition at line 44 of file MyGUI_IItemContainer.h.

## _removeItemAt()

virtual void MyGUI::IItemContainer::_removeItemAt | ( | size_t |  | ) |

inline virtual

Reimplemented in MyGUI::ComboBox, MyGUI::ListBox, MyGUI::MenuControl, MyGUI::MultiListBox, and MyGUI::TabControl.

Definition at line 32 of file MyGUI_IItemContainer.h.

## _setItemNameAt()

virtual void MyGUI::IItemContainer::_setItemNameAt | ( | size_t | ,
|  | const UString & | )

inline virtual

Reimplemented in MyGUI::ComboBox, MyGUI::ListBox, MyGUI::MenuControl, MyGUI::MultiListBox, and MyGUI::TabControl.

Definition at line 41 of file MyGUI_IItemContainer.h.

## _setItemSelected()

virtual void MyGUI::IItemContainer::_setItemSelected | ( | IItem * |  | ) |

inline virtual

Reimplemented in MyGUI::MenuControl.

Definition at line 49 of file MyGUI_IItemContainer.h.

The documentation for this class was generated from the following file:

- MyGUI_IItemContainer.h